<template>
  <div>
<!--  <p>productsite_id: <strong style="color:#FF0000"> {{ $route.params.productsite_id }} </strong> </p>-->
    <h2 style="margin-top: 15px; margin-bottom: 15px;"><strong style="font-size:35px">{{ $route.params.productsite_name }}</strong></h2>
    <my-button @click="$router.push(`/`)">Back</my-button>
      <productitem-form
      @create="createProductitems"/>
      <productitem-list
      :productitems="productitems"
      />
  </div>
</template>


<script>
import ProductitemForm from "@/components/ProductitemForm";
import ProductitemList from "@/components/ProductitemList";

import PankreatinePTMDoc from "@/components/PankreatinePTMDoc";
import TorasemidePTMDoc from "@/components/TorasemidePTMDoc";
import VinpochetinePTMDoc from "@/components/VinpochetinePTMDoc";
import FluconazolePTMDoc from "@/components/FluconazolePTMDoc";
import capAPTMDoc from "@/components/capAPTMDoc";

import PankreatineTabletDoc from "@/components/PankreatineTabletDoc";
import TorasemideTabletDoc from "@/components/TorasemideTabletDoc";
import VinpochetineTabletDoc from "@/components/VinpochetineTabletDoc";
import CapACapsuleDoc from "@/components/CapACapsuleDoc";
import FluconazoleCapsuleDoc from "@/components/FluconazoleCapsuleDoc";

import PankreatineCoatDoc from "@/components/PankreatineCoatDoc";

import PankreatineJarDoc from "@/components/PankreatineJarDoc";
import TorasemideBlisterDoc from "@/components/TorasemideBlisterDoc";
import VinpochetineBlisterDoc from "@/components/VinpochetineBlisterDoc";
import FluconazoleBlisterDoc from "@/components/FluconazoleBlisterDoc";
import CapABlisterDoc from "@/components/CapABlisterDoc";

import PankreatineCardboardDoc from "@/components/PankreatineCardboardDoc";
import TorasemideCardboardDoc from "@/components/TorasemideCardboardDoc";
import VinpochetineCardboardDoc from "@/components/VinpochetineCardboardDoc";
import CapACardboardDoc from "@/components/CapACardboardDoc";
import FluconazoleCardboardDoc from "@/components/FluconazoleCardboardDoc";

import TorasemidePTMSanitaryDoc from "@/components/TorasemidePTMSanitaryDoc";
import TorasemideTabletSanitaryDoc from "@/components/TorasemideTabletSanitaryDoc";
import TorasemideBlisterSanitaryDoc from "@/components/TorasemideBlisterSanitaryDoc";
import TorasemideCardboardSanitaryDoc from "@/components/TorasemideCardboardSanitaryDoc";

import PankreatinePTMSanitaryDoc from "@/components/PankreatinePTMSanitaryDoc";
import PankreatineTabletSanitaryDoc from "@/components/PankreatineTabletSanitaryDoc";
import PankreatineCoatSanitaryDoc from "@/components/PankreatineCoatSanitaryDoc";
import PankreatineJarSanitaryDoc from "@/components/PankreatineJarSanitaryDoc";
import PankreatineCardboardSanitaryDoc from "@/components/PankreatineCardboardSanitaryDoc";

import axios from 'axios';

export default {
  components: {
      ProductitemList, ProductitemForm, PankreatinePTMDoc, TorasemidePTMDoc, VinpochetinePTMDoc, FluconazolePTMDoc,
    capAPTMDoc, PankreatineTabletDoc, TorasemideTabletDoc, VinpochetineTabletDoc, CapACapsuleDoc, FluconazoleCapsuleDoc,
    PankreatineCoatDoc, PankreatineJarDoc, TorasemideBlisterDoc, VinpochetineBlisterDoc, FluconazoleBlisterDoc,
    CapABlisterDoc, PankreatineCardboardDoc, TorasemideCardboardDoc, VinpochetineCardboardDoc, CapACardboardDoc,
    FluconazoleCardboardDoc, TorasemidePTMSanitaryDoc, TorasemideTabletSanitaryDoc, TorasemideBlisterSanitaryDoc,
    TorasemideCardboardSanitaryDoc, PankreatinePTMSanitaryDoc, PankreatineTabletSanitaryDoc, PankreatineCoatSanitaryDoc,
    PankreatineJarSanitaryDoc, PankreatineCardboardSanitaryDoc
  },
  props: ['productsite_id'],
  data: () => ({
    productitems: []
  }),
  methods: {
      createProductitems(productitem) {
          this.productitems.push(productitem)
      },
      async fetchProductitems() {
          try {
              const response = await axios.get(`http://127.0.0.1:5000/pharm/productitems/get/${this.productsite_id}`);
              this.productitems = response.data.productitems;
          } catch (e) {
              alert('Mistake')
          }
        },
      },
  created() {
      this.fetchProductitems();
  },
}
</script>


<style>

</style>